import java.io.*;

public class Main {

    private static PrintWriter filehandle;

    public static void main(String[] args){
       Tetra oTet = new Tetra();
       InvTetra oTet2 = new InvTetra();
       Cube oCube = new Cube();
       Octahedron oOcta = new Octahedron();
       Rhdodecahedron oDodeca = new Rhdodecahedron();
       Cuboctahedron oCubocta = new Cuboctahedron();
       filehandle = openfile("script.pov");
       writeHeader(filehandle);
       oTet.writepovray(filehandle);
       oTet2.writepovray(filehandle);
       oCube.writepovray(filehandle);
       oOcta.writepovray(filehandle);
       oDodeca.writepovray(filehandle);
       oCubocta.writepovray(filehandle);
       filehandle.close();
    }

    static private PrintWriter openfile(String filename){
        try{
            filehandle =
              new PrintWriter(
              new BufferedWriter(
              new FileWriter(filename)));
        } catch(Exception e) {System.out.println("Couldn't create file!");}
        return filehandle;
     }
     private static float camfactor = 8;

     protected static void writeHeader(PrintWriter output){
          output.println("//POV-Ray script");
          output.println("#version 3.1;");
          output.println("global_settings { assumed_gamma 2.2 }");
          output.println("#include \"colors.inc\"");
          output.println("");
          output.println("#declare Cam_factor = " + camfactor + ";");
          output.println("#declare Camera_X = 1 * Cam_factor;");
          output.println("#declare Camera_Y = 0.5 * Cam_factor;");
          output.println("#declare Camera_Z = -0.9 * Cam_factor;");
          output.println("camera { location  <Camera_X, Camera_Y, Camera_Z>");
          output.println("            up        <0, 1.0,  0>    right     <-4/3, 0,  0>");
          output.println("            direction <0, 0,  3>      look_at   <0, 0, 0> ");
          output.println("            rotate <0,0,0>}");
          output.println("");
          output.println("light_source { <Camera_X - 2, Camera_Y + 5 , Camera_Z + 5> color White }");
          output.println("light_source { <Camera_X - 2, Camera_Y + 5 , Camera_Z - 3> color White }");
          output.println("");
          output.println("// Background:");
          output.println("background {color White}");
    }

}
