class Octahedron extends Polys {
/*

OCTAHEDRON  (volume = 4)
==========

Vertices              Edges

I = A+B = 1 1 0 0     (I,J)(I,K)(I,L)(I,M)
J = A+C = 1 0 1 0     (N,J)(N,K)(N,L)(N,M)
K = A+D = 1 0 0 1     (J,L)(L,M)(M,K)(K,J)
L = B+C = 0 1 1 0
M = B+D = 0 1 0 1
N = C+D = 0 0 1 1


	Last change:  KU   18 Mar 1999    9:35 pm
*/
     Octahedron(){
       nbedges = 12;
       volume = 4;
       edgecolor = "Red";
       edgediam = (float)0.04;
       edges = new Edge[nbedges];
       edges[ 0] = new Edge(I,J);
       edges[ 1] = new Edge(I,K);
       edges[ 2] = new Edge(I,L);
       edges[ 3] = new Edge(I,M);
       edges[ 4] = new Edge(N,J);
       edges[ 5] = new Edge(N,K);
       edges[ 6] = new Edge(N,L);
       edges[ 7] = new Edge(N,M);
       edges[ 8] = new Edge(J,L);
       edges[ 9] = new Edge(L,M);
       edges[10] = new Edge(M,K);
       edges[11] = new Edge(K,J);
    }
}
