class Rhdodecahedron extends Polys {
/*

RHOMBIC DODECAHEDRON (volume = 6)
====================

Vertices        Edges

A  1 0 0 0      (I,A)(I,B)(I,G)(I,H)
B  0 1 0 0      (J,A)(J,C)(J,F)(J,H)
C  0 0 1 0      (K,A)(K,D)(K,F)(K,G)
D  0 0 0 1      (L,B)(L,C)(L,E)(L,H)
E  0 1 1 1      (M,B)(M,D)(M,E)(M,G)
F  1 0 1 1      (N,C)(N,D)(N,E)(N,F)
G  1 1 0 1
H  1 1 1 0
I  1 1 0 0
J  1 0 1 0
K  1 0 0 1
L  0 1 1 0
M  0 1 0 1
N  0 0 1 1

	Last change:  KU   18 Mar 1999    9:54 pm
*/
     Rhdodecahedron(){
       nbedges = 24;
       volume = 6;
       edgecolor = "Blue";
       edgediam = (float)0.04;
       edges = new Edge[nbedges];

       edges[ 0] = new Edge(I,A);
       edges[ 1] = new Edge(I,B);
       edges[ 2] = new Edge(I,G);
       edges[ 3] = new Edge(I,H);

       edges[ 4] = new Edge(J,A);
       edges[ 5] = new Edge(J,C);
       edges[ 6] = new Edge(J,F);
       edges[ 7] = new Edge(J,H);

       edges[ 8] = new Edge(K,A);
       edges[ 9] = new Edge(K,D);
       edges[10] = new Edge(K,F);
       edges[11] = new Edge(K,G);

       edges[12] = new Edge(L,B);
       edges[13] = new Edge(L,C);
       edges[14] = new Edge(L,E);
       edges[15] = new Edge(L,H);

       edges[16] = new Edge(M,B);
       edges[17] = new Edge(M,D);
       edges[18] = new Edge(M,G);
       edges[19] = new Edge(M,E);

       edges[20] = new Edge(N,C);
       edges[21] = new Edge(N,D);
       edges[22] = new Edge(N,E);
       edges[23] = new Edge(N,F);
    }
}
